regina::NXMLAbelianGroupReader Class Reference
Algebraic Structures

An XML element reader that reads a single abelian group. More...

`#include <algebra/nxmlalgebrareader.h>`

Inheritance diagram for regina::NXMLAbelianGroupReader:

## Public Member Functions

| NXMLAbelianGroupReader ()
| Creates a new abelian group reader. More...
virtual NAbelianGroup * | getGroup ()
| Returns the newly allocated abelian group that has been read by this element reader. More...
virtual void | startElement (const std::string &tagName, const regina::xml::XMLPropertyDict &tagProps, NXMLElementReader *parentReader)
| Signifies that parsing of this XML element is beginning. More...
virtual void | initialChars (const std::string &chars)
| Signifies that the initial text belonging to this XML element has been read. More...
Public Member Functions inherited from regina::NXMLElementReader
| NXMLElementReader ()
| Creates a new element reader. More...
virtual | ~NXMLElementReader ()
| Destroys this element reader. More...
virtual NXMLElementReader * | startSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps)
| Signifies that a subelement of this XML element is about to be parsed. More...
virtual void | endSubElement (const std::string &subTagName, NXMLElementReader *subReader)
| Signifies that parsing has finished for a subelement of this XML element. More...
virtual void | endElement ()
| Signifies that parsing of this XML element is finished. More...
virtual void | usingParser (regina::xml::XMLParser *parser)
| Called for the top-level element in an XML file when parsing begins. More...
virtual void | abort (NXMLElementReader *subReader)
| Signifies that XML parsing has been aborted. More...

## Detailed Description

An XML element reader that reads a single abelian group.

An abelian group is generally contained within an `<abeliangroup>` ... `</abeliangroup>` pair.

Python:
  Not present.

## Constructor & Destructor Documentation

regina::NXMLAbelianGroupReader::NXMLAbelianGroupReader | ( |  | ) |

inline

Creates a new abelian group reader.

## Member Function Documentation

NAbelianGroup * regina::NXMLAbelianGroupReader::getGroup | ( |  | ) |

inline virtual

Returns the newly allocated abelian group that has been read by this element reader.

Returns
  the group that has been read, or 0 if an error occurred.

virtual void regina::NXMLAbelianGroupReader::initialChars | ( | const std::string & | chars | ) |

virtual

Signifies that the initial text belonging to this XML element has been read.

The initial text is everything between the opening tag and the first subelement or closing tag.

The default implementation does nothing.

Parameters

  chars | the initial text for this element.

Reimplemented from regina::NXMLElementReader.

virtual void regina::NXMLAbelianGroupReader::startElement | ( | const std::string & | tagName,
|  | const regina::xml::XMLPropertyDict & | tagProps,
|  | NXMLElementReader * | parentReader
| ) |  |

virtual

Signifies that parsing of this XML element is beginning.

The default implementation does nothing.

Parameters

  tagName | the name of the opening tag for this element.
  tagProps | the properties associated with the opening tag.
  parentReader | the reader currently parsing the parent XML element, or 0 if this is the top-level element. If this paraneter is non-zero, it is guaranteed that startSubElement() has already been called upon the parent reader.

Reimplemented from regina::NXMLElementReader.

The documentation for this class was generated from the following file:

- algebra/nxmlalgebrareader.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).